<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEGiorno ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfEGiorno
 * @subpackage Arrays
 */
class ArrayOfEGiorno extends AbstractStructArrayBase
{
    /**
     * The EGiorno
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EGiorno[]
     */
    public $EGiorno;
    /**
     * Constructor method for ArrayOfEGiorno
     * @uses ArrayOfEGiorno::setEGiorno()
     * @param \StructType\EGiorno[] $eGiorno
     */
    public function __construct(array $eGiorno = array())
    {
        $this
            ->setEGiorno($eGiorno);
    }
    /**
     * Get EGiorno value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EGiorno[]|null
     */
    public function getEGiorno()
    {
        return isset($this->EGiorno) ? $this->EGiorno : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEGiorno method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEGiorno method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEGiornoForArrayConstraintsFromSetEGiorno(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEGiornoEGiornoItem) {
            // validation for constraint: itemType
            if (!$arrayOfEGiornoEGiornoItem instanceof \StructType\EGiorno) {
                $invalidValues[] = is_object($arrayOfEGiornoEGiornoItem) ? get_class($arrayOfEGiornoEGiornoItem) : sprintf('%s(%s)', gettype($arrayOfEGiornoEGiornoItem), var_export($arrayOfEGiornoEGiornoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EGiorno property can only contain items of type \StructType\EGiorno, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EGiorno value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EGiorno[] $eGiorno
     * @return \ArrayType\ArrayOfEGiorno
     */
    public function setEGiorno(array $eGiorno = array())
    {
        // validation for constraint: array
        if ('' !== ($eGiornoArrayErrorMessage = self::validateEGiornoForArrayConstraintsFromSetEGiorno($eGiorno))) {
            throw new \InvalidArgumentException($eGiornoArrayErrorMessage, __LINE__);
        }
        if (is_null($eGiorno) || (is_array($eGiorno) && empty($eGiorno))) {
            unset($this->EGiorno);
        } else {
            $this->EGiorno = $eGiorno;
        }
        return $this;
    }
    /**
     * Add item to EGiorno value
     * @throws \InvalidArgumentException
     * @param \StructType\EGiorno $item
     * @return \ArrayType\ArrayOfEGiorno
     */
    public function addToEGiorno(\StructType\EGiorno $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EGiorno) {
            throw new \InvalidArgumentException(sprintf('The EGiorno property can only contain items of type \StructType\EGiorno, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EGiorno[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EGiorno|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EGiorno|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EGiorno|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EGiorno|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EGiorno|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EGiorno
     */
    public function getAttributeName()
    {
        return 'EGiorno';
    }
}
