<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfMezzo_Model ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfMezzo_Model
 * @subpackage Arrays
 */
class ArrayOfMezzo_Model extends AbstractStructArrayBase
{
    /**
     * The Mezzo_Model
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Mezzo_Model[]
     */
    public $Mezzo_Model;
    /**
     * Constructor method for ArrayOfMezzo_Model
     * @uses ArrayOfMezzo_Model::setMezzo_Model()
     * @param \StructType\Mezzo_Model[] $mezzo_Model
     */
    public function __construct(array $mezzo_Model = array())
    {
        $this
            ->setMezzo_Model($mezzo_Model);
    }
    /**
     * Get Mezzo_Model value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Mezzo_Model[]|null
     */
    public function getMezzo_Model()
    {
        return isset($this->Mezzo_Model) ? $this->Mezzo_Model : null;
    }
    /**
     * This method is responsible for validating the values passed to the setMezzo_Model method
     * This method is willingly generated in order to preserve the one-line inline validation within the setMezzo_Model method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateMezzo_ModelForArrayConstraintsFromSetMezzo_Model(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfMezzo_ModelMezzo_ModelItem) {
            // validation for constraint: itemType
            if (!$arrayOfMezzo_ModelMezzo_ModelItem instanceof \StructType\Mezzo_Model) {
                $invalidValues[] = is_object($arrayOfMezzo_ModelMezzo_ModelItem) ? get_class($arrayOfMezzo_ModelMezzo_ModelItem) : sprintf('%s(%s)', gettype($arrayOfMezzo_ModelMezzo_ModelItem), var_export($arrayOfMezzo_ModelMezzo_ModelItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Mezzo_Model property can only contain items of type \StructType\Mezzo_Model, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Mezzo_Model value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Mezzo_Model[] $mezzo_Model
     * @return \ArrayType\ArrayOfMezzo_Model
     */
    public function setMezzo_Model(array $mezzo_Model = array())
    {
        // validation for constraint: array
        if ('' !== ($mezzo_ModelArrayErrorMessage = self::validateMezzo_ModelForArrayConstraintsFromSetMezzo_Model($mezzo_Model))) {
            throw new \InvalidArgumentException($mezzo_ModelArrayErrorMessage, __LINE__);
        }
        if (is_null($mezzo_Model) || (is_array($mezzo_Model) && empty($mezzo_Model))) {
            unset($this->Mezzo_Model);
        } else {
            $this->Mezzo_Model = $mezzo_Model;
        }
        return $this;
    }
    /**
     * Add item to Mezzo_Model value
     * @throws \InvalidArgumentException
     * @param \StructType\Mezzo_Model $item
     * @return \ArrayType\ArrayOfMezzo_Model
     */
    public function addToMezzo_Model(\StructType\Mezzo_Model $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Mezzo_Model) {
            throw new \InvalidArgumentException(sprintf('The Mezzo_Model property can only contain items of type \StructType\Mezzo_Model, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Mezzo_Model[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\Mezzo_Model|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\Mezzo_Model|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\Mezzo_Model|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\Mezzo_Model|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\Mezzo_Model|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string Mezzo_Model
     */
    public function getAttributeName()
    {
        return 'Mezzo_Model';
    }
}
