<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfNotificaClient ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfNotificaClient
 * @subpackage Arrays
 */
class ArrayOfNotificaClient extends AbstractStructArrayBase
{
    /**
     * The NotificaClient
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\NotificaClient[]
     */
    public $NotificaClient;
    /**
     * Constructor method for ArrayOfNotificaClient
     * @uses ArrayOfNotificaClient::setNotificaClient()
     * @param \StructType\NotificaClient[] $notificaClient
     */
    public function __construct(array $notificaClient = array())
    {
        $this
            ->setNotificaClient($notificaClient);
    }
    /**
     * Get NotificaClient value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\NotificaClient[]|null
     */
    public function getNotificaClient()
    {
        return isset($this->NotificaClient) ? $this->NotificaClient : null;
    }
    /**
     * This method is responsible for validating the values passed to the setNotificaClient method
     * This method is willingly generated in order to preserve the one-line inline validation within the setNotificaClient method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateNotificaClientForArrayConstraintsFromSetNotificaClient(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfNotificaClientNotificaClientItem) {
            // validation for constraint: itemType
            if (!$arrayOfNotificaClientNotificaClientItem instanceof \StructType\NotificaClient) {
                $invalidValues[] = is_object($arrayOfNotificaClientNotificaClientItem) ? get_class($arrayOfNotificaClientNotificaClientItem) : sprintf('%s(%s)', gettype($arrayOfNotificaClientNotificaClientItem), var_export($arrayOfNotificaClientNotificaClientItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The NotificaClient property can only contain items of type \StructType\NotificaClient, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set NotificaClient value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\NotificaClient[] $notificaClient
     * @return \ArrayType\ArrayOfNotificaClient
     */
    public function setNotificaClient(array $notificaClient = array())
    {
        // validation for constraint: array
        if ('' !== ($notificaClientArrayErrorMessage = self::validateNotificaClientForArrayConstraintsFromSetNotificaClient($notificaClient))) {
            throw new \InvalidArgumentException($notificaClientArrayErrorMessage, __LINE__);
        }
        if (is_null($notificaClient) || (is_array($notificaClient) && empty($notificaClient))) {
            unset($this->NotificaClient);
        } else {
            $this->NotificaClient = $notificaClient;
        }
        return $this;
    }
    /**
     * Add item to NotificaClient value
     * @throws \InvalidArgumentException
     * @param \StructType\NotificaClient $item
     * @return \ArrayType\ArrayOfNotificaClient
     */
    public function addToNotificaClient(\StructType\NotificaClient $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\NotificaClient) {
            throw new \InvalidArgumentException(sprintf('The NotificaClient property can only contain items of type \StructType\NotificaClient, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->NotificaClient[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\NotificaClient|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\NotificaClient|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\NotificaClient|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\NotificaClient|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\NotificaClient|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string NotificaClient
     */
    public function getAttributeName()
    {
        return 'NotificaClient';
    }
}
