<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfRecapito_Model ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfRecapito_Model
 * @subpackage Arrays
 */
class ArrayOfRecapito_Model extends AbstractStructArrayBase
{
    /**
     * The Recapito_Model
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Recapito_Model[]
     */
    public $Recapito_Model;
    /**
     * Constructor method for ArrayOfRecapito_Model
     * @uses ArrayOfRecapito_Model::setRecapito_Model()
     * @param \StructType\Recapito_Model[] $recapito_Model
     */
    public function __construct(array $recapito_Model = array())
    {
        $this
            ->setRecapito_Model($recapito_Model);
    }
    /**
     * Get Recapito_Model value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Recapito_Model[]|null
     */
    public function getRecapito_Model()
    {
        return isset($this->Recapito_Model) ? $this->Recapito_Model : null;
    }
    /**
     * This method is responsible for validating the values passed to the setRecapito_Model method
     * This method is willingly generated in order to preserve the one-line inline validation within the setRecapito_Model method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateRecapito_ModelForArrayConstraintsFromSetRecapito_Model(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfRecapito_ModelRecapito_ModelItem) {
            // validation for constraint: itemType
            if (!$arrayOfRecapito_ModelRecapito_ModelItem instanceof \StructType\Recapito_Model) {
                $invalidValues[] = is_object($arrayOfRecapito_ModelRecapito_ModelItem) ? get_class($arrayOfRecapito_ModelRecapito_ModelItem) : sprintf('%s(%s)', gettype($arrayOfRecapito_ModelRecapito_ModelItem), var_export($arrayOfRecapito_ModelRecapito_ModelItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Recapito_Model property can only contain items of type \StructType\Recapito_Model, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Recapito_Model value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Recapito_Model[] $recapito_Model
     * @return \ArrayType\ArrayOfRecapito_Model
     */
    public function setRecapito_Model(array $recapito_Model = array())
    {
        // validation for constraint: array
        if ('' !== ($recapito_ModelArrayErrorMessage = self::validateRecapito_ModelForArrayConstraintsFromSetRecapito_Model($recapito_Model))) {
            throw new \InvalidArgumentException($recapito_ModelArrayErrorMessage, __LINE__);
        }
        if (is_null($recapito_Model) || (is_array($recapito_Model) && empty($recapito_Model))) {
            unset($this->Recapito_Model);
        } else {
            $this->Recapito_Model = $recapito_Model;
        }
        return $this;
    }
    /**
     * Add item to Recapito_Model value
     * @throws \InvalidArgumentException
     * @param \StructType\Recapito_Model $item
     * @return \ArrayType\ArrayOfRecapito_Model
     */
    public function addToRecapito_Model(\StructType\Recapito_Model $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Recapito_Model) {
            throw new \InvalidArgumentException(sprintf('The Recapito_Model property can only contain items of type \StructType\Recapito_Model, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Recapito_Model[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\Recapito_Model|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\Recapito_Model|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\Recapito_Model|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\Recapito_Model|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\Recapito_Model|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string Recapito_Model
     */
    public function getAttributeName()
    {
        return 'Recapito_Model';
    }
}
