<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetListaSegnalazioniGuasto StructType
 * @subpackage Structs
 */
class GetListaSegnalazioniGuasto extends AbstractStructBase
{
    /**
     * The Tipologia
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Tipologia;
    /**
     * The Targa
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Targa;
    /**
     * The UltimaRiga
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UltimaRiga;
    /**
     * Constructor method for GetListaSegnalazioniGuasto
     * @uses GetListaSegnalazioniGuasto::setTipologia()
     * @uses GetListaSegnalazioniGuasto::setTarga()
     * @uses GetListaSegnalazioniGuasto::setUltimaRiga()
     * @param string $tipologia
     * @param string $targa
     * @param int $ultimaRiga
     */
    public function __construct($tipologia = null, $targa = null, $ultimaRiga = null)
    {
        $this
            ->setTipologia($tipologia)
            ->setTarga($targa)
            ->setUltimaRiga($ultimaRiga);
    }
    /**
     * Get Tipologia value
     * @return string|null
     */
    public function getTipologia()
    {
        return $this->Tipologia;
    }
    /**
     * Set Tipologia value
     * @uses \EnumType\TipiSegnalazioneGuasto::valueIsValid()
     * @uses \EnumType\TipiSegnalazioneGuasto::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $tipologia
     * @return \StructType\GetListaSegnalazioniGuasto
     */
    public function setTipologia($tipologia = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\TipiSegnalazioneGuasto::valueIsValid($tipologia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\TipiSegnalazioneGuasto', is_array($tipologia) ? implode(', ', $tipologia) : var_export($tipologia, true), implode(', ', \EnumType\TipiSegnalazioneGuasto::getValidValues())), __LINE__);
        }
        $this->Tipologia = $tipologia;
        return $this;
    }
    /**
     * Get Targa value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTarga()
    {
        return isset($this->Targa) ? $this->Targa : null;
    }
    /**
     * Set Targa value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $targa
     * @return \StructType\GetListaSegnalazioniGuasto
     */
    public function setTarga($targa = null)
    {
        // validation for constraint: string
        if (!is_null($targa) && !is_string($targa)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($targa, true), gettype($targa)), __LINE__);
        }
        if (is_null($targa) || (is_array($targa) && empty($targa))) {
            unset($this->Targa);
        } else {
            $this->Targa = $targa;
        }
        return $this;
    }
    /**
     * Get UltimaRiga value
     * @return int|null
     */
    public function getUltimaRiga()
    {
        return $this->UltimaRiga;
    }
    /**
     * Set UltimaRiga value
     * @param int $ultimaRiga
     * @return \StructType\GetListaSegnalazioniGuasto
     */
    public function setUltimaRiga($ultimaRiga = null)
    {
        // validation for constraint: int
        if (!is_null($ultimaRiga) && !(is_int($ultimaRiga) || ctype_digit($ultimaRiga))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($ultimaRiga, true), gettype($ultimaRiga)), __LINE__);
        }
        $this->UltimaRiga = $ultimaRiga;
        return $this;
    }
}
