<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OutputCsv_Get_Result StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:OutputCsv_Get_Result
 * @subpackage Structs
 */
class OutputCsv_Get_Result extends WebService_GenericResult
{
    /**
     * The CsvString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CsvString;
    /**
     * Constructor method for OutputCsv_Get_Result
     * @uses OutputCsv_Get_Result::setCsvString()
     * @param string $csvString
     */
    public function __construct($csvString = null)
    {
        $this
            ->setCsvString($csvString);
    }
    /**
     * Get CsvString value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCsvString()
    {
        return isset($this->CsvString) ? $this->CsvString : null;
    }
    /**
     * Set CsvString value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $csvString
     * @return \StructType\OutputCsv_Get_Result
     */
    public function setCsvString($csvString = null)
    {
        // validation for constraint: string
        if (!is_null($csvString) && !is_string($csvString)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($csvString, true), gettype($csvString)), __LINE__);
        }
        if (is_null($csvString) || (is_array($csvString) && empty($csvString))) {
            unset($this->CsvString);
        } else {
            $this->CsvString = $csvString;
        }
        return $this;
    }
}
